Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
filesystem
/
preview
Get Dataset File Preview
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/filesystem/preview \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "path": "<string>",
  "size_bytes": 123,
  "extension": "<string>",
  "mime_type": "<string>",
  "preview_text": "<string>",
  "truncated": false,
  "preview_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Query Parameters

path
string
required

Relative path to the file within the dataset

version_id
string | null

Dataset view version ("active" default, "original", or explicit version id)

Cookies

antidote_session
string | null

Response

Successful Response

name
string
required
path
string
required
kind
enum<string>
required
Available options:
image,
text,
binary
size_bytes
integer | null
extension
string | null
mime_type
string | null
preview_text
string | null
truncated
boolean
default:false
preview_url
string | null